<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:template match="/">
    <html>
      <head>
        <title>Login Links</title>
        <link rel="StyleSheet" href="style.css" type="text/css"/>
        <!--script type="text/javascript" src="jquery-1.7.1.js"/-->
        <!--script type="text/javascript" src="login.js"/-->
      </head>
      <body>
        <div class="jump-list">
          <xsl:for-each select="root/server_list/server">
            <a>
              <xsl:attribute name="href">#<xsl:value-of select="name"/></xsl:attribute>
              <xsl:value-of select="name"/>
            </a>
            &#160;
          </xsl:for-each>
        </div>
        <div style="float:left; width: 100%; margin:0px; padding:5px;">
          <xsl:for-each select="root/server_list/server">
            <div class="server-container">
              <a>
                <xsl:attribute name="name"><xsl:value-of select="name"/></xsl:attribute>
              </a>
              <h2>
                <xsl:value-of select="name"/>
              </h2>
              <xsl:element name="div">
                <xsl:attribute name="class">contents-container</xsl:attribute>
                <xsl:if test="hidden='true'">
                  <xsl:attribute name="style">display: none;</xsl:attribute>
                </xsl:if>
                <div class="link-list">
                  <xsl:if test="login_url/text()">
                    <a>
                      <xsl:attribute name="href">http://<xsl:value-of select="server_url"/>/<xsl:value-of select="login_url"/></xsl:attribute>
                      <xsl:value-of select="name"/> Login Page
                  </a>
                  </xsl:if>
                  <xsl:if test="wcs_url/text()">
                    <a>
                      <xsl:attribute name="href">http://<xsl:value-of select="server_url"/>/<xsl:value-of select="wcs_url"/></xsl:attribute>
                      <xsl:value-of select="name"/> WCS Login
                  </a>
                  </xsl:if>
                  <xsl:if test="flush_url/text()">
                    <a>
                      <xsl:attribute name="href">http://<xsl:value-of select="server_url"/>/<xsl:value-of select="flush_url"/></xsl:attribute>Flush 
                    <xsl:value-of select="name"/>
                    </a>
                  </xsl:if>
                </div>
                <xsl:for-each select="login_group_list/login_group">
                  <div class="sub-container">
                    <h3>
                      <xsl:value-of select="name"/>
                    </h3>
                    <ul class="login_list">
                      <xsl:for-each select="login_list/login">
                        <li>
                          <a>
                            <xsl:attribute name="href">http://<xsl:value-of select="ancestor::server/server_url"/>/<xsl:value-of select="ancestor::server/fox_url"/>/LOGIN001L/login?P_PASSWORD=<xsl:value-of select="ancestor::server/overide_password"/>&amp;P_LOGIN=<xsl:value-of select="username"/><xsl:if test="ancestor::login_group/action/text()">&amp;P_MNEM=<xsl:value-of select="ancestor::login_group/action"/></xsl:if></xsl:attribute>
                            <xsl:value-of select="forename"/>&#160;<xsl:value-of select="surname"/>&#160;(<xsl:value-of select="username"/>)</a>
                          <xsl:if test="comment/text()">
&#160;<span class="commentstyle">
                              <xsl:value-of select="comment"/>
                            </span>
                          </xsl:if>
                        </li>
                      </xsl:for-each>
                    </ul>
                  </div>
                </xsl:for-each>
              </xsl:element>
            </div>
          </xsl:for-each>
          <div class="float-div-fix"/>
        </div>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
