CREATE OR REPLACE PACKAGE trainingmgr.xx_plan_app
IS

  -- Create planning application type
  FUNCTION create_application_type (
    p_title       IN VARCHAR2
  , p_price       IN NUMBER
  , p_description IN VARCHAR2
  ) RETURN NUMBER;
  
  -- Create planning application reference from application id.
  FUNCTION create_application_reference (
    p_application_id IN NUMBER
  ) 
  RETURN VARCHAR2;
  
  FUNCTION create_new_application (
    p_application_type_id IN NUMBER
  ) RETURN NUMBER;
  
  FUNCTION update_application_data (
    p_application_id NUMBER
  , p_xml_data XMLTYPE
  ) RETURN NUMBER;
  
  PROCEDURE update_application_status (
    p_application_id IN NUMBER
  , p_new_status     IN VARCHAR2
  );
  
  FUNCTION get_unassigned_reviewer (
    p_application_uref IN VARCHAR2  
  ) RETURN NUMBER;
  
  FUNCTION count_assigned_reviewers (
    p_application_uref IN VARCHAR2
  ) RETURN NUMBER;
  
  FUNCTION count_unassigned_reviewers (
    p_application_uref IN VARCHAR2
  ) RETURN NUMBER;
  
  FUNCTION review_manage_action_desc (
    p_application_uref IN VARCHAR2
  ) RETURN VARCHAR2;
  
  FUNCTION get_application_status (
    p_application_id IN NUMBER
  ) RETURN VARCHAR2;
  
END xx_plan_app;
/
